package com.hzya.frame.grpU8.nxproof.glYeb.dao.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.glYeb.dao.ISenderGlYebDao;
import com.hzya.frame.grpU8.nxproof.glYeb.entity.SenderGlYebEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (GlYeb)表数据库访问层
 *
 * @author makejava
 * @since 2024-07-08 11:12:24
 */
@Repository(value = "SenderGlYebDaoImpl")
public class SenderGlYebDaoImpl extends MybatisGenericDao<SenderGlYebEntity, String> implements ISenderGlYebDao {

    @Override
    @DS("#senderGlYebEntity.dataSourceCode")
    public List<SenderGlYebEntity> querySenderGlYebEntity(SenderGlYebEntity senderGlYebEntity) {
        return super.queryByLike(senderGlYebEntity);
    }

    @Override
    @DS("#senderGlYebEntity.dataSourceCode")
    public SenderGlYebEntity saveSenderGlYebEntity(SenderGlYebEntity senderGlYebEntity) {
        return super.save(senderGlYebEntity);
    }

    @Override
    @DS("#senderGlYebEntity.dataSourceCode")
    public SenderGlYebEntity updateSenderGlYebEntity(SenderGlYebEntity senderGlYebEntity) {
        return super.update(senderGlYebEntity);
    }

    @Override
    @DS("#senderGlYebEntity.dataSourceCode")
    public List<SenderGlYebEntity> queryGlYebHealthBureau(SenderGlYebEntity senderGlYebEntity) {
        return super.query(senderGlYebEntity);
    }

    @Override
    @DS("#senderGlYebEntity.dataSourceCode")
    public SenderGlYebEntity saveGlYebHealthBureau(SenderGlYebEntity senderGlYebEntity) {
        return super.save(senderGlYebEntity);
    }

    @Override
    @DS("#senderGlYebEntity.dataSourceCode")
    public Integer deleteGlYebHealthBureau(SenderGlYebEntity senderGlYebEntity) {
        return super.delete(getSqlIdPrifx()+"SenderGlYebEntity_delete_yeb",senderGlYebEntity);
    }
}

